## j4-dmenu-desktop 2.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(j4-dmenu)

exec_program(
  ${CMAKE_CXX_COMPILER}
  ARGS --version
  OUTPUT_VARIABLE _compiler_output
  )
string(REGEX REPLACE "(\n.*$)" "" cxx_compiler_version "${_compiler_output}")
string(REGEX REPLACE "([^0-9.])|([0-9.][^0-9.])" "" cxx_compiler_version "${cxx_compiler_version}")

if(CMAKE_COMPILER_IS_GNUCXX)
  if(${cxx_compiler_version} VERSION_LESS "4.7.0")
    set(CXX_OPT "-std=c++0x")
  else()
    set(CXX_OPT "-std=c++11")
  endif()
elseif(${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")
  set(CXX_OPT "-std=c++11")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_OPT} ${CXX_OPT} -Wall -pedantic -Wextra -O2")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")

if(NOT DEFINED NO_TESTS)
  include(ExternalProject)

  ExternalProject_Add(
    catch
    PREFIX ${CMAKE_BINARY_DIR}/catch
    GIT_REPOSITORY https://github.com/philsquared/Catch.git
    TIMEOUT 10
    UPDATE_COMMAND git pull
    CONFIGURE_COMMAND ""
    BUILD_COMMAND ""
    INSTALL_COMMAND ""
    LOG_DOWNLOAD ON
    )

  # Expose required variable (CATCH_INCLUDE_DIR) to parent scope
  ExternalProject_Get_Property(catch source_dir)
  set(CATCH_INCLUDE_DIR ${source_dir}/include CACHE INTERNAL "Path to include folder for Catch")

  # Includes Catch in the project:
  #add_subdirectory(${EXT_PROJECTS_DIR}/catch)
  include_directories(${CATCH_INCLUDE_DIR} ${COMMON_INCLUDES})

  add_definitions(-DTEST_FILES="${CMAKE_CURRENT_SOURCE_DIR}/test_files/")

  enable_testing(true)

  add_test(
    NAME j4-dmenu-tests
    COMMAND j4-dmenu-tests
    )

  add_executable(
    j4-dmenu-tests
    src/Test.cc
    src/TestApplication.cc
    src/TestApplicationRunner.cc
    src/TestSearchPath.cc
    src/TestLocaleSuffixes.cc
    src/TestFileFinder.cc
    src/TestFormatters.cc
    )

  add_dependencies(j4-dmenu-tests catch)
endif(NOT DEFINED NO_TESTS)


add_executable(
    j4-dmenu-desktop
    src/main.cc
)

install (
	TARGETS j4-dmenu-desktop
        RUNTIME DESTINATION bin
	)

=== debian/changelog ===
j4-dmenu-desktop (2.13-1) unstable; urgency=medium

  * New upstream release

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 22 Jun 2015 16:42:11 +0200

j4-dmenu-desktop (2.12-1) unstable; urgency=low

  * Initial release (Closes: #780839)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sat, 18 Mar 2015 16:49:22 +0100

=== debian/control ===
Source: j4-dmenu-desktop
Section: x11
Priority: optional
Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: debhelper (>= 9), cmake, catch
Standards-Version: 3.9.6
Homepage: https://github.com/enkore/j4-dmenu-desktop
Vcs-Git: git://anonscm.debian.org/collab-maint/j4-dmenu-desktop.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git

Package: j4-dmenu-desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: faster replacement for i3-dmenu-desktop
 j4-dmenu-desktop is a replacement for i3-dmenu-desktop. It's purpose 
 is to find .desktop files and offer you a menu to start an application 
 using dmenu. 
 .
 It is much faster than the default i3-dmenu-desktop method to obtain a list 
 of programs parsed from .desktop files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
		dh_auto_configure -- \
			-DCMAKE_INSTALL_PREFIX=/usr

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/r(.+)\.tar\.gz/releases\/download\/r$1\/r$1.tar.gz.sig/ \
https://github.com/enkore/j4-dmenu-desktop/releases .*/r(.+)\.tar\.gz

## j4-dmenu-desktop 2.14

=== debian/changelog ===
j4-dmenu-desktop (2.14-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Thu, 11 Aug 2016 20:55:44 -0500

j4-dmenu-desktop (2.14-1) unstable; urgency=medium

  * New upstream release
  * d/control: Updated Stadnards-Version to 3.9.7
  * d/control: Updated Vcs-* links to https

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 04 Apr 2016 07:45:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: j4-dmenu-desktop
 Section: x11
 Priority: optional
-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Bugs: mailto: <maintainer@mepiscommunity.org>
 Build-Depends: debhelper (>= 9), cmake, catch
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/enkore/j4-dmenu-desktop
-Vcs-Git: git://anonscm.debian.org/collab-maint/j4-dmenu-desktop.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/j4-dmenu-desktop.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git
 
 Package: j4-dmenu-desktop
 Architecture: any

## j4-dmenu-desktop 2.15

=== debian/changelog ===
j4-dmenu-desktop (2.15-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Updated d/* years
  * d/control: Updated Standards-Version to 3.9.8, no changes.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Thu, 30 Mar 2017 08:22:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: j4-dmenu-desktop
 Section: x11
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
-Bugs: mailto: <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>= 9), cmake, catch
-Standards-Version: 3.9.7
+Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Build-Depends: debhelper (>= 10), cmake, catch
+Standards-Version: 3.9.8
 Homepage: https://github.com/enkore/j4-dmenu-desktop
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/j4-dmenu-desktop.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git

## j4-dmenu-desktop 2.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,8 @@
   ExternalProject_Add(
     catch
     PREFIX ${CMAKE_BINARY_DIR}/catch
-    GIT_REPOSITORY https://github.com/philsquared/Catch.git
+    GIT_TAG Catch1.x
+    GIT_REPOSITORY https://github.com/catchorg/Catch2
     TIMEOUT 10
     UPDATE_COMMAND git pull
     CONFIGURE_COMMAND ""

=== debian/changelog ===
j4-dmenu-desktop (2.16-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:43 +0100

j4-dmenu-desktop (2.16-1) unstable; urgency=medium

  * New upstream release 
  * Update Standards-Version to 4.2.1, no changes required
  * Update to dh 11
  * Fix patch for disabling catch download
  * Update Vcs-* entries

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 10 Sep 2018 21:26:15 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
		dh_auto_configure -- \
			-DCMAKE_INSTALL_PREFIX=/usr \
			-DWITH_GIT_CATCH=OFF

## j4-dmenu-desktop 2.18%2Bgit20211022

=== debian/changelog ===
j4-dmenu-desktop (2.18+git20211022-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Comment out patches in debian/patches/series until need is verified.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 18 Jan 2022 16:36:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: j4-dmenu-desktop
 Section: x11
 Priority: optional
-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
-Build-Depends: debhelper (>= 10), cmake, catch
-Standards-Version: 3.9.8
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Build-Depends: debhelper (>= 11), cmake, catch
+Standards-Version: 4.2.1
 Homepage: https://github.com/enkore/j4-dmenu-desktop
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/j4-dmenu-desktop.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/j4-dmenu-desktop.git
+Vcs-Git: https://salsa.debian.org/cinemast-guest/j4-dmenu-desktop.git
+Vcs-Browser: https://salsa.debian.org/cinemast-guest/j4-dmenu-desktop
 
 Package: j4-dmenu-desktop
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 		dh_auto_configure -- \

## j4-dmenu-desktop 2.18+git20211022

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(j4-dmenu)

option(WITH_TESTS "Build and run tests" ON)
option(WITH_GIT_CATCH "Use a Git checkout of Catch to build the tests" ON)

if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.7")
  set(CXX_OPT "-std=c++0x")
else()
  set(CXX_OPT "-std=c++11")
endif()

# _WITH_GETLINE for FreeBSD
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_OPT} -Wall -Wextra -pedantic -O2 -D_WITH_GETLINE")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")

if(WITH_TESTS)
  enable_testing(true)
  add_test(
          NAME j4-dmenu-tests
          COMMAND j4-dmenu-tests
  )
  add_executable(
          j4-dmenu-tests
          src/Test.cc
  )
  add_definitions(-DTEST_FILES="${CMAKE_CURRENT_SOURCE_DIR}/test_files/")

  if(WITH_GIT_CATCH)
    include(ExternalProject)
    ExternalProject_Add(
      catch
      PREFIX ${CMAKE_BINARY_DIR}/catch
      GIT_TAG Catch1.x
      GIT_REPOSITORY https://github.com/catchorg/Catch2
      TIMEOUT 10
      UPDATE_COMMAND git pull
      CONFIGURE_COMMAND ""
      BUILD_COMMAND ""
      INSTALL_COMMAND ""
      LOG_DOWNLOAD ON
    )
    add_dependencies(j4-dmenu-tests catch)

    # Expose required variable (CATCH_INCLUDE_DIR) to parent scope
    ExternalProject_Get_Property(catch source_dir)
    set(CATCH_INCLUDE_DIR ${source_dir}/include CACHE INTERNAL "Path to include folder for Catch")
  else()
    # Use system-installed version of Catch
    find_path(CATCH_INCLUDE_DIR catch.hpp PATH_SUFFIXES catch)
    if(NOT CATCH_INCLUDE_DIR)
      message(FATAL_ERROR "Catch include directory not found")
    endif()
  endif(WITH_GIT_CATCH)

  # Include Catch in the project
  include_directories(${CATCH_INCLUDE_DIR} ${COMMON_INCLUDES})
endif(WITH_TESTS)

add_executable(
    j4-dmenu-desktop
    src/main.cc
)

install (
    TARGETS j4-dmenu-desktop
        RUNTIME DESTINATION bin
    )

## j4-dmenu-desktop 3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(j4-dmenu CXX)

include(CMakeDependentOption)

option(WITH_TESTS "Build and run tests" ON)
option(NO_DOWNLOAD "Do not download any dependencies (or anything else); overrides all WITH_GIT_* variables" OFF)
cmake_dependent_option(WITH_GIT_CATCH "Use a Git checkout of Catch to build the tests" ON "NOT NO_DOWNLOAD" OFF)
cmake_dependent_option(WITH_GIT_SPDLOG "Use a Git checkout of spdlog to build" ON "NOT NO_DOWNLOAD" OFF)
cmake_dependent_option(WITH_GIT_FMT "Use a Git checkout of fmt to build" ON "NOT NO_DOWNLOAD" OFF)

set(CMAKE_CXX_STANDARD 17)

# J4dd should have two translation units: one for j4-dmenu-desktop and one for
# j4-dmenu-tests (+ dependencies). This might be changed in the future to a
# more traditional compilation model.
set(CMAKE_UNITY_BUILD TRUE)
# Set basically infinite limit.
set(CMAKE_UNITY_BUILD_BATCH_SIZE 32768)

# _WITH_GETLINE for FreeBSD
set(CMAKE_CXX_FLAGS
    "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic -O2 -D_WITH_GETLINE -DSPDLOG_ACTIVE_LEVEL=SPDLOG_LEVEL_DEBUG"
)
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")

if(CMAKE_HOST_SYSTEM_NAME STREQUAL FreeBSD)
  option(USE_KQUEUE
         "Use the kqueue event notification mechanism instead of Inotify" ON)
else()
  option(USE_KQUEUE
         "Use the kqueue event notification mechanism instead of Inotify" OFF)
endif()

SET(SOURCE AppManager.cc Application.cc FieldCodes.cc Dmenu.cc FileFinder.cc Formatters.cc HistoryManager.cc I3Exec.cc LocaleSuffixes.cc SearchPath.cc Utilities.cc LineReader.cc CMDLineAssembler.cc CMDLineTerm.cc)
list(TRANSFORM SOURCE PREPEND "${CMAKE_CURRENT_SOURCE_DIR}/src/")

SET(OVERRIDE_VERSION "" CACHE STRING "Override version")

if(OVERRIDE_VERSION STREQUAL "")
  # Version handling
  file(STRINGS "version.txt" VCS_TAG)

  find_package(Git)

  if(GIT_EXECUTABLE)
    execute_process(
      COMMAND ${GIT_EXECUTABLE} describe --dirty --broken
      WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
      OUTPUT_VARIABLE GIT_DESCRIBE_VERSION
      RESULT_VARIABLE GIT_DESCRIBE_ERROR_CODE
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(NOT GIT_DESCRIBE_ERROR_CODE)
      set(VCS_TAG ${GIT_DESCRIBE_VERSION})
    endif()
  endif()
else()
  set(VCS_TAG ${OVERRIDE_VERSION})
endif()

configure_file(generated/version.cc.in generated/version.cc @ONLY)

if(USE_KQUEUE)
  find_package(Threads REQUIRED)
  add_compile_definitions(USE_KQUEUE)
  list(APPEND SOURCE src/NotifyKqueue.cc)
else()
  list(APPEND SOURCE src/NotifyInotify.cc)
endif()

include_directories("${PROJECT_BINARY_DIR}")

if(WITH_GIT_SPDLOG)
  include(FetchContent)
  FetchContent_Declare(spdlog
    GIT_REPOSITORY "https://github.com/gabime/spdlog.git"
    GIT_TAG        "v1.14.1"
    GIT_SHALLOW    true
  )
  FetchContent_MakeAvailable(spdlog)
else()
  # Use system-installed version of Catch
  find_package(spdlog REQUIRED)
endif(WITH_GIT_SPDLOG)

if(WITH_GIT_FMT)
  include(FetchContent)
  set(FMT_INSTALL OFF CACHE INTERNAL "Disable fmt install target")
  FetchContent_Declare(fmt
    GIT_REPOSITORY "https://github.com/fmtlib/fmt.git"
    GIT_TAG        "10.2.0"
    GIT_SHALLOW    true
  )
  FetchContent_MakeAvailable(fmt)
else()
  find_package(fmt REQUIRED)
endif(WITH_GIT_FMT)

add_executable(j4-dmenu-desktop ${SOURCE} "${CMAKE_CURRENT_BINARY_DIR}/generated/version.cc" src/main.cc)
target_link_libraries(j4-dmenu-desktop PRIVATE spdlog::spdlog PRIVATE fmt::fmt)
target_include_directories(j4-dmenu-desktop PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/src/")

if(WITH_TESTS)
  file(GLOB test_src_files tests/*.cc)

  set(TEST_FILES "\"${CMAKE_CURRENT_SOURCE_DIR}/tests/test_files/\"")
  configure_file(tests/generated/tests_config.hh.in tests/generated/tests_config.hh @ONLY)

  add_executable(j4-dmenu-tests ${test_src_files} ${SOURCE})
  target_include_directories(j4-dmenu-tests PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/src/")
  target_include_directories(j4-dmenu-tests PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/tests/")
  target_link_libraries(j4-dmenu-tests PRIVATE spdlog::spdlog PRIVATE fmt::fmt)

  if(WITH_GIT_CATCH)
    include(FetchContent)

    FetchContent_Declare(
      Catch2
      GIT_REPOSITORY https://github.com/catchorg/Catch2.git
      GIT_TAG        v3.6.0
      GIT_SHALLOW    true
    )

    FetchContent_MakeAvailable(Catch2)
  else()
    # Use system-installed version of Catch
    find_package(Catch2 3 REQUIRED)
  endif(WITH_GIT_CATCH)

  # Include Catch in the project
  target_link_libraries(j4-dmenu-tests PRIVATE Catch2::Catch2)

  include(CTest)
  include(Catch)
  catch_discover_tests(j4-dmenu-tests)

  execute_process(COMMAND pytest --version OUTPUT_QUIET ERROR_QUIET RESULT_VARIABLE pytest_error)
  if(pytest_error EQUAL 0)
    add_test(NAME pytest-system-tests COMMAND pytest "${CMAKE_SOURCE_DIR}/tests/system_tests/system_test.py" --j4dd-executable "${CMAKE_CURRENT_BINARY_DIR}/j4-dmenu-desktop")
  else()
    message(WARNING "pytest executable is not available. Skipping pytest tests...")
  endif()
endif(WITH_TESTS)

if(USE_KQUEUE)
  if(THREADS_HAVE_PTHREAD_ARG)
    target_compile_options(j4-dmenu-desktop PUBLIC "-pthread")
    target_compile_options(j4-dmenu-tests PUBLIC "-pthread")
  endif()
  if(CMAKE_THREAD_LIBS_INIT)
    target_link_libraries(j4-dmenu-desktop PRIVATE "${CMAKE_THREAD_LIBS_INIT}")
    target_link_libraries(j4-dmenu-tests PRIVATE "${CMAKE_THREAD_LIBS_INIT}")
  endif()
endif()

install(TARGETS j4-dmenu-desktop RUNTIME DESTINATION bin)
INSTALL(FILES j4-dmenu-desktop.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1/)
INSTALL(FILES etc/completions/_j4-dmenu-desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/zsh/site-functions)
INSTALL(FILES etc/completions/j4-dmenu-desktop.fish DESTINATION ${CMAKE_INSTALL_PREFIX}/share/fish/vendor_completions.d)
INSTALL(FILES etc/completions/j4-dmenu-desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/bash-completion/completions)

=== debian/changelog ===
j4-dmenu-desktop (3.2-1build1) plucky; urgency=medium

  * No-change rebuild for libspdlog1.15.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jan 2025 19:38:37 +0000

j4-dmenu-desktop (3.2-1) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * New upstream release
  * Add patch to allow compiling without notify support

 -- Otto Kekäläinen <otto@debian.org>  Sun, 01 Dec 2024 13:10:11 -0800

j4-dmenu-desktop (3.1-1) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * New upstream release
  * Update dependency list and switch to Meson build system
  * Use upstream man page as it is more up to date
  * Add pytest dependency to enable the Python test suite
  * Enable autopkgtest with pytest system tests
  * Add patch to fix problems in manpage
  * Support 'nocheck' build profile
  * Update Standards-Version to 4.7.0, no changes needed
  * Polish the Debian packaging so it fully passes all
    Lintian checks and Salsa CI

 -- Otto Kekäläinen <otto@debian.org>  Mon, 18 Nov 2024 21:05:50 -0800

j4-dmenu-desktop (2.16-2) unstable; urgency=medium

  [ Jelmer Vernooĳ / Debian Janitor ]
  * Trim trailing whitespace
  * Use secure copyright file specification URI
  * Bump debhelper from old 10 to 13
  * Set debhelper-compat version in Build-Depends
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse

  [ Nicolas Peugnet ]
  * Setup gbp to track upstream git tags and commit pristine-tar
  * Update watch file using GitHub API
  * Update PGP signing key
  * Update Git and browser VCS URLs to new location
  * Set myself as the new maintainer

  [ Otto Kekäläinen ]
  * Update git repository layout to follow DEP-14
  * Enable Salsa CI
  * Add a README.source.md to make package maintenance easier
  * Ensure all patches have proper DEP-8 headers and have been
    forwarded upstream
  * Add CMake compatible hardening rules
  * Mention the new package maintainers in the copyright file
  * Add myself as uploader

 -- Otto Kekäläinen <otto@debian.org>  Mon, 11 Nov 2024 22:28:58 -0800

j4-dmenu-desktop (2.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 13 (Closes: #1037698)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 30 Jul 2023 16:19:24 +0200

=== debian/tests/control ===
Tests: system
Depends: @, python3-pytest

=== debian/watch ===
version=4
opts="\
  searchmode=plain, \
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/, \
  downloadurlmangle=s#https://api.github.com/repos#https://github.com#;s#tarball/r@ANY_VERSION@#archive/refs/tags/r$1.tar.gz#, \
  pgpsigurlmangle=s#archive/refs/tags/r(.*)\.tar\.gz#releases/download/r$1/r$1.tar.gz.sig#, \
  filenamemangle=s#r@ANY_VERSION@#@PACKAGE@-$1.tar.gz#" \
https://api.github.com/repos/enkore/j4-dmenu-desktop/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/r?@ANY_VERSION@
